import java.util.concurrent.*;

public class ExecutorDemo {
  public static void main(String[] args) {
    // Tworzenie puli z maksymalną liczbą trzech wątków
    ExecutorService executor = Executors.newFixedThreadPool(3);

    // Przekazywanie zadań typu Runnable do wykonawcy
    executor.execute(new PrintChar('a', 100));
    executor.execute(new PrintChar('b', 100));
    executor.execute(new PrintNum(100));

    // Zamykanie wykonawcy
    executor.shutdown();
  }
}
